# 17. Query: „SoilDatasets“ abrufen

Ruft alle "SoilDatasets" für das ausgewählte "Field" ab. Datensätze können mit generischen GraphQL-Abfragen wie `getFarms` und `getFields` vom verknüpften "Field" abgerufen werden.&#x20;

{% hint style="warning" %}
Ein "SoilDataset" muss im Voraus hochgeladen worden sein.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #Muster "<OperationType> <YYYY-mm-DD>"
        operationId #falls vorhanden
        number #Gesamtanzahl der Geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #vollständige Details pro Attribut
          name #Verweis auf Statistik >> Attribut
          transliteratedName
          fullName #falls vorhanden
          unit #falls vorhanden
        }

        createdDate #Entität-Erstellungsdatum/-uhrzeit in GeoPard
        updatedDate #Datum/Uhrzeit der letzten Aktualisierung
        operationType
        operationId
        operationFileDate #Dateierstellungsdatum/-uhrzeit
        operationStartDate #Beginn der Maßnahme
        
        statistics { #statistische Verteilung für jedes Bodenattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        name  
        operationId #falls vorhanden 
        number #Gesamtanzahl der Geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #Verweis auf Statistik >> Attribut
          transliteratedName
          fullName #falls vorhanden
          unit #falls vorhanden
        }
      
        createdDate #Erstellungsdatum/-uhrzeit in GeoPard
        updatedDate #Datum/Uhrzeit der letzten Aktualisierung in GeoPard
        operationFileDate #Dateierstellungsdatum/-uhrzeit (falls vorhanden)
        operationStartDate #Beginn der Maßnahme (falls vorhanden)
      
        statistics { #statistische Verteilung für jedes Bodenattribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuelle Darstellung
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/17.-query-soildatasets-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
